// test.wdl

//Global 
Entity* player;
Entity* current_enemy;
string PlayerName_str;

//Paths
PATH "images";
PATH "models";

//Engine Variables
var video_screen = 1;
var video_depth = 16;
var video_mode = 8;

//Other defines
define _HP, skill61;
define _ATTACK,skill62;
define _DEFEND,skill63;


//AI States
define _ATTACK_MODE,flag5; //Attacking

//Include Files
include <player.WDL>;
include <cameras.WDL>;
include <msg_system.WDL>;
include <enemies.WDL>;
include <inventory.WDL>;

//Levels
string MainLevel = <main.WMB>;

bmap mouse = <arrow.pcx>;
bmap a6_logo_bmp = <logodark.pcx>;
panel A6_logo 
{
	bmap = a6_logo_bmp;
}

//Info String
string Subject = "DarkWhoppy";
string Message = "Welcome to my RPG testing demo! There are 4 cameras in this room.\nEach will activate its self once the player is in range. Click the \nmouse to attack, use the WASD keys to move and move the mouse to\nrotate/pan the player. Press M to open the inventory and press M\nagain to close.\n\n\n\n-click to close-";

function main()
{
	fps_min = 45;
	fps_max = 60;

	A6_logo.pos_x = (screen_size.x - bmap_width(a6_logo_bmp))/2;  
	A6_logo.pos_y = ((screen_size.y - bmap_height(a6_logo_bmp))/2);
	A6_logo.visible = on;
	waitt(16);
	A6_logo.visible = off;

	mouse_map = mouse;
	mouse_mode = 1;
	
	level_load(MainLevel);
	wait(3);

	txtPlayer_Name.visible = on;
	PlayerPanel.visible = on;

	 NPCMessage2(Subject,Message);
}
starter move_mouse {WHILE(1) { mouse_pos.x = pointer.x;mouse_pos.y = pointer.y;wait(1);}}

string strDW_title = "DarkWhoppy";
string strQuit_Question = "Are you sure you want to exit?";
string strQuit_Yes = "Yes";
string strQuit_No = "No";

function WantToExit()
{	
	NPCChoiceMessage2(strDW_title,strQuit_Question,strQuit_Yes,strQuit_No);
	while(1)
	{
		if(chosen_item == 1) { exit;  chosen_item = 0;}
		if(chosen_item == 2) { chosen_item = 0;}
		wait(1);
	}
}
on_esc = WantToExit();